Subject: Re: [DNSOP] Please review in terminology-bis: QNAME

From: Robert Edmonds <[email-masked]>
Date: Tue, 2 Jan 2018 11:29:01 -0500

Stephane Bortzmeyer wrote:
> On Mon, Dec 11, 2017 at 07:30:27AM -0800,
>  Paul Hoffman <[email-masked]> wrote 
>  a message of 16 lines which said:
> 
> > Some of the new terms added to the terminology-bis draft
> > (https://datatracker.ietf.org/doc/draft-ietf-dnsop-terminology-bis/)since
> > RFC 7719 can expose what some (but not all) people perceive as lack
> > of clarity in RFC 1034/1035. This week, we hope you will look at the
> > definition in the draft for "QNAME".
> 
> As I mentioned in this errata
> <https://www.rfc-editor.org/errata/eid4983>, I think RFC 2308 was
> wrong in redefining QNAME. My personal preference would be to change
> the second paragraph to "RFC 2308 proposed another definition,
> different from the original one. Since it is actually a different
> concept, it would be better to find another name for it. Here, QNAME
> retains the original definition of RFC 1034."
> 
> Otherwise, if the WG prefers, I can live with the current text :-(

I agree with Stephane. The STD 13 definition of QNAME is extremely clear
while the RFC 2308 re-definition seems rare enough that it tends to
occur mainly in discussions about how to define QNAME :-\

-- 
Robert Edmonds

---

From: Petr Špaček <[email-masked]>
Date: Wed, 3 Jan 2018 14:16:37 +0100

On 18.12.2017 20:05, Paul Vixie wrote:
> +1.

+1, yes please.
-- 
Petr Špaček  @  CZ.NIC

---

From: "Peter van Dijk" <[email-masked]>
Date: Wed, 03 Jan 2018 17:15:02 +0100

On 11 Dec 2017, at 16:30, Paul Hoffman wrote:

> Greetings again.
> RFC 7719 can expose what some (but not all) people perceive as lack of 
> clarity in RFC 1034/1035. This week, we hope you will look at the 
> Please review the lengthy explanation and comment on the list if you 
> think the definition should change.

+1 on the lengthy explanation. Nothing shorter could settle this thing.

Kind regards,
-- 
Peter van Dijk
PowerDNS.COM BV - https://www.powerdns.com/